KDE 4.9 PyKDE API Reference

- KDE's Python API

# AutoNavigation Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Enumerations
CenterMode | { DontRecenter, AlwaysRecenter, RecenterOnBorder }
## Signals
| autoZoomToggled (bool enabled)
| centerOn (Marble.GeoDataCoordinates position, bool animated)
| recenterModeChanged (Marble.AutoNavigation.CenterMode mode)
| zoomIn (Marble.FlyToMode a0)
| zoomOut (Marble.FlyToMode a0)
## Methods
| __init__ (self, Marble.MarbleModel model, Marble.ViewportParams viewport, QObject parent=0)
| adjust (self, Marble.GeoDataCoordinates position, float speed)
bool | autoZoom (self)
| inhibitAutoAdjustments (self)
Marble.AutoNavigation.CenterMode | recenterMode (self)
| setAutoZoom (self, bool activate)
| setRecenter (self, Marble.AutoNavigation.CenterMode recenterMode)

## Signal Documentation

autoZoomToggled | ( | bool | enabled
| ) |  |  |

signal emitted when auto zoom is toggled

Signal syntax:
  `QObject.connect(source, SIGNAL("autoZoomToggled(bool)"), target_slot)`

centerOn | ( | Marble.GeoDataCoordinates | position,
|  | bool | animated
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerOn(const Marble::GeoDataCoordinates&, bool)"), target_slot)`

recenterModeChanged | ( | Marble.AutoNavigation.CenterMode | mode
| ) |  |  |

signal emitted when auto center is turned on (Always re-center, re-center when required ) or off(Disabled)

Parameters:

  | recenterMode | the mode for re-centering selected

Signal syntax:
  `QObject.connect(source, SIGNAL("recenterModeChanged(Marble::AutoNavigation::CenterMode)"), target_slot)`

zoomIn | ( | Marble.FlyToMode | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("zoomIn(Marble::FlyToMode)"), target_slot)`

zoomOut | ( | Marble.FlyToMode | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("zoomOut(Marble::FlyToMode)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | model,
|  | Marble.ViewportParams | viewport,
|  | QObject | parent=0
| ) |  |  |

Constructor

Parameters:

  | widget | the marble widget. It cannot be null.
  | parent | optional parent object

adjust | ( | self, |
|  | Marble.GeoDataCoordinates | position,
|  | float | speed
| ) |  |  |

For adjusting the gps location (recentering) or map(autozooming)

Parameters:

  | position | current gps location
  | speed | of the gps device

bool autoZoom | ( |  | self ) |

inhibitAutoAdjustments | ( |  | self ) |

Temporarily inhibits auto-centering and auto-zooming

Marble.AutoNavigation.CenterMode recenterMode | ( |  | self ) |

setAutoZoom | ( | self, |
|  | bool | activate
| ) |  |  |

For Auto Zooming adjustment of map in Navigation Mode

Parameters:

  | activate | true to enable auto zooming

setRecenter | ( | self, |
|  | Marble.AutoNavigation.CenterMode | recenterMode
| ) |  |  |

For Auto Centering adjustment of map in Navigation Mode

Parameters:

  | recenterMode | toggles among the recenteing method chosen

See also:
  CenterMode

## Enumeration Documentation

CenterMode

An enum type Represents which recentering method is selected

Enumerator:

  DontRecenter = 0 |
  AlwaysRecenter = 1 |
  RecenterOnBorder = 2 |